\exo{}
Soient $n \in \N^*$, $a_1,\ldots,a_n \in \mathbb{K}$ deux à deux distincts. On note $D = \text{Diag}(a_1,\ldots,a_n)$. On considère l'application : 
\begin{equation*}
f : M \in \mathcal{M}_n(\mathbb{K}) \longmapsto (DM - MD) \in \mathcal{M}_n(\mathbb{K})
\end{equation*}
\q Vérifier que $f \in \mathcal{L}(\mathcal{M}_n(\mathbb{K}))$.
\q Déterminer $\ker f$.
\q Déterminer $\im f$.



\ifwithcorrection \correction 


\fi
